package be.iminds.ilabt.jfed.rspec_fx.convert;

import be.iminds.ilabt.jfed.rspec.convert.RspecConverterTest;
import be.iminds.ilabt.jfed.rspec_fx.model.javafx_impl.FXRspecFactory;
import be.iminds.ilabt.jfed.rspec_fx.util.JavaFXInitializer;
import org.slf4j.LoggerFactory;
import org.testng.annotations.BeforeSuite;

/**
 * RspecConverterTestFX
 */
public class RspecConverterTestFX extends RspecConverterTest {
    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(RspecConverterTestFX.class);

    protected final FXRspecFactory fxRspecFactory;

    public RspecConverterTestFX() {
        super(FXRspecFactory.getInstance());
        this.fxRspecFactory = (FXRspecFactory) rspecFactory;
    }

    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    /////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    @BeforeSuite
    private static void setupJavaFx() throws InterruptedException {
        JavaFXInitializer.initialize();
    }
}
